# ACE_TPQ_Iterator Class Reference

Iterates through ACE_Token_Proxy_Queues. More...

`#include <Local_Tokens.h>`

Collaboration diagram for ACE_TPQ_Iterator:

[legend]
List of all members.

## Public Member Functions

| ACE_TPQ_Iterator (ACE_Token_Proxy_Queue &q)
| Constructor.
| ~ACE_TPQ_Iterator (void)
| Destructor.
int | next (ACE_TPQ_Entry *&next_item)
| Pass back the <next_item>.
int | done (void) const
| Returns 1 when all items have been seen, else 0.
void | advance (void)
| Move forward by one element in the queue.
void | dump (void) const
| Dump the state of an object.

## Private Attributes

ACE_TPQ_Entry * | current_

## Detailed Description

Iterates through ACE_Token_Proxy_Queues.

Not a public interface.

## Constructor & Destructor Documentation

ACE_TPQ_Iterator::ACE_TPQ_Iterator | ( | ACE_Token_Proxy_Queue & | q | ) |

| Constructor.

ACE_TPQ_Iterator::~ACE_TPQ_Iterator | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void ACE_TPQ_Iterator::advance | ( | void |  | ) |

| Move forward by one element in the queue.

int ACE_TPQ_Iterator::done | ( | void |  | ) | const

| Returns 1 when all items have been seen, else 0.

void ACE_TPQ_Iterator::dump | ( | void |  | ) | const

| Dump the state of an object.

int ACE_TPQ_Iterator::next | ( | ACE_TPQ_Entry *& | next_item | ) |

| Pass back the <next_item>.

## Member Data Documentation

ACE_TPQ_Entry* ACE_TPQ_Iterator::current_`[private]`

The documentation for this class was generated from the following files:

- Local_Tokens.h
- Local_Tokens.cpp